------------------------------------------------------------------
--                                                              --
--  File:   Backup_Database.SQL                                 --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
------------------------------------------------------------------
Use master
GO

DECLARE @startdate	DATETIME,
	    @enddate	DATETIME

SELECT  @startdate = GETDATE()
SELECT  'Start date:',
		CONVERT(VARCHAR(30),@startdate, 21)

RESTORE DATABASE tpce    
FROM
        DISK = 'C:\jp\help01\tpcebackup01.bak',
        DISK = 'C:\jp\help01\tpcebackup02.bak',
        DISK = 'C:\jp\help01\tpcebackup03.bak',
        DISK = 'C:\jp\help02\tpcebackup04.bak',
        DISK = 'C:\jp\help02\tpcebackup05.bak',
        DISK = 'C:\jp\help02\tpcebackup06.bak',
        DISK = 'C:\jp\help03\tpcebackup07.bak',
        DISK = 'C:\jp\help03\tpcebackup08.bak',
        DISK = 'C:\jp\help03\tpcebackup09.bak',
        DISK = 'C:\jp\help04\tpcebackup10.bak',
        DISK = 'C:\jp\help04\tpcebackup11.bak',
        DISK = 'C:\jp\help04\tpcebackup12.bak',
        DISK = 'C:\jp\help05\tpcebackup13.bak',
        DISK = 'C:\jp\help05\tpcebackup14.bak',
        DISK = 'C:\jp\help05\tpcebackup15.bak',
        DISK = 'C:\jp\help06\tpcebackup16.bak',
        DISK = 'C:\jp\help06\tpcebackup17.bak',
        DISK = 'C:\jp\help06\tpcebackup18.bak',
        DISK = 'C:\jp\help07\tpcebackup19.bak',
        DISK = 'C:\jp\help07\tpcebackup20.bak',
        DISK = 'C:\jp\help07\tpcebackup21.bak',
        DISK = 'C:\jp\help08\tpcebackup22.bak',
        DISK = 'C:\jp\help08\tpcebackup23.bak',
        DISK = 'C:\jp\help08\tpcebackup24.bak',
        DISK = 'C:\jp\help09\tpcebackup25.bak',
        DISK = 'C:\jp\help09\tpcebackup26.bak',
        DISK = 'C:\jp\help09\tpcebackup27.bak',
        DISK = 'C:\jp\help10\tpcebackup28.bak',
        DISK = 'C:\jp\help10\tpcebackup29.bak',
        DISK = 'C:\jp\help10\tpcebackup30.bak',
        DISK = 'C:\jp\help11\tpcebackup31.bak',
        DISK = 'C:\jp\help11\tpcebackup32.bak',
        DISK = 'C:\jp\help11\tpcebackup33.bak',
        DISK = 'C:\jp\help12\tpcebackup34.bak',
        DISK = 'C:\jp\help12\tpcebackup35.bak',
        DISK = 'C:\jp\help12\tpcebackup36.bak'
    
WITH    REPLACE, STATS = 5

SELECT  @enddate = GETDATE()
SELECT  'End date: ',
		CONVERT(VARCHAR(30),@enddate, 21)
SELECT  'Elapsed time (in seconds): ',
		DATEDIFF(second, @startdate, @enddate)
GO
