------------------------------------------------------------------
--                                                              --
--  File:   Database_Options_2.SQL                              --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1025      --
--          Copyright Microsoft  2010, 2011, 2012               --
--                                                              --
------------------------------------------------------------------


ALTER   DATABASE tpce
SET     RECOVERY FULL
GO

ALTER   DATABASE tpce
SET     TORN_PAGE_DETECTION OFF
GO

ALTER   DATABASE tpce
SET     AUTO_UPDATE_STATISTICS OFF
GO

ALTER   DATABASE tpce
SET     ALLOW_SNAPSHOT_ISOLATION ON
GO

-- set show advanced options to 1 so we get all the available options
sp_configure    'Show advanced options',1
GO

-- reconfigure the server so the show advanced option will take effect
RECONFIGURE WITH OVERRIDE
GO

-- set the MAX Degree of Parallelism to 1 for the runtime
sp_configure    'max degree of parallelism',1
GO

-- reconfigure the server so the MAXDOP will take effect
RECONFIGURE WITH OVERRIDE
GO

USE tpce
GO

CHECKPOINT
GO
